import { getTranslations } from "next-intl/server";

import BlurFade from "@/components/ui/blur-fade";

type SubscriptionHistoryCardsType = {
	className?: string;
};

const SubscriptionCard = async ({ }) => {
	const t = await getTranslations("UserAccount");

	return (
		<div
			className="flex items-center justify-between rounded-md p-8"
			style={{ border: "1px dashed #DEE2E6" }}
		>
			{/* اسم الفئة */}
			<div className="rounded-md bg-[#606676] px-[18px] py-2">
				<p className="text-sm leading-6 text-white">{t("Category")}</p>
			</div>
			{/* اسم الباقة وتاريخها */}
			<div className="flex flex-col items-center gap-5 md:flex-row">
				<div>
					<p className="text-sm text-custom-fourth">{t("PackageName")}</p>
					<p className="text-sm text-custom-fifth">
						{t("SubscriptionHistory")}
					</p>
				</div>
				<div className="h-[60px] w-[130px] rounded-md bg-[#F8F9FA]"></div>
			</div>
		</div>
	);
};

async function SubscriptionHistoryCards({
	className,
}: SubscriptionHistoryCardsType) {
	const t = await getTranslations("UserAccount");

	return (
		<div
			className={`rounded-md p-2 md:p-8 ${className}`}
			style={{ boxShadow: "0px 2px 48px 0px #0000000A" }}
		>
			<p className="leading-5 text-custom-fourth">
				{t("SubscriptionsHistory")}
			</p>
			<div className="mt-4 grid grid-cols-1 gap-2 md:grid-cols-2 md:gap-8">
				{[...Array(4)]?.map((_, idx) => (
					<BlurFade key={idx} delay={0.25 + idx * 0.1} inView>
						<SubscriptionCard />
					</BlurFade>
				))}
			</div>
		</div>
	);
}

export default SubscriptionHistoryCards;
